Update bundle
authorTom Hughes <tom@compton.nu>
Sun, 30 Jun 2013 20:32:09 +0000 (21:32 +0100)
committerTom Hughes <tom@compton.nu>
Sun, 30 Jun 2013 20:42:39 +0000 (21:42 +0100)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index 5f63da33fa1edde473498cf276cacb5d4717a73a..9bde0af13a287cc47f3095600a8843aa4d4d0245 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -7,6 +7,9 @@ gem 'rails', '3.2.12'
 # Require things which have moved to gems in ruby 1.9
 gem 'bigdecimal', :platforms => :ruby_19
 
+# Require things which have moved to gems in ruby 2.0
+gem 'psych', :platforms => :ruby_20
+
 # Require the postgres database driver
 gem 'pg'
 
@@ -64,7 +67,7 @@ end
 # Gems needed for running tests
 group :test do
   gem 'timecop'
-  gem 'minitest', '~> 4.7.0', :platforms => :ruby_19
+  gem 'minitest', '~> 4.7.0', :platforms => [:ruby_19, :ruby_20]
 end
 
 # Gems needed for compiling assets
index 39f292edaff911eddd4797011e836084d08d0d78..ec220961bea376a8764745609575b20819b615e5 100644 (file)
@@ -30,7 +30,7 @@ GEM
       i18n (~> 0.6)
       multi_json (~> 1.0)
     arel (3.0.2)
-    bigdecimal (1.1.0)
+    bigdecimal (1.2.0)
     builder (3.0.4)
     climate_control (0.0.3)
       activesupport (>= 3.0)
@@ -53,7 +53,7 @@ GEM
       multi_json (~> 1.0)
     faraday (0.8.7)
       multipart-post (~> 1.1)
-    hike (1.2.2)
+    hike (1.2.3)
     htmlentities (4.3.1)
     http_accept_language (1.0.2)
     httpauth (0.2.0)
@@ -63,7 +63,7 @@ GEM
       i18n
     iconv (0.1)
     journey (1.0.4)
-    jquery-rails (2.2.1)
+    jquery-rails (3.0.1)
       railties (>= 3.0, < 5.0)
       thor (>= 0.14, < 2.0)
     json (1.8.0)
@@ -80,22 +80,24 @@ GEM
       i18n (>= 0.4.0)
       mime-types (~> 1.16)
       treetop (~> 1.4.8)
-    memcached (1.5.0)
+    memcached (1.6.1)
     mime-types (1.23)
-    minitest (4.7.4)
-    multi_json (1.7.3)
-    multi_xml (0.5.3)
+    mini_portile (0.5.0)
+    minitest (4.7.5)
+    multi_json (1.7.7)
+    multi_xml (0.5.4)
     multipart-post (1.2.0)
-    nokogiri (1.5.9)
+    nokogiri (1.6.0)
+      mini_portile (~> 0.5.0)
     oauth (0.4.7)
     oauth-plugin (0.4.1)
       multi_json
       oauth (~> 0.4.4)
       oauth2 (>= 0.5.0)
       rack
-    oauth2 (0.9.1)
+    oauth2 (0.9.2)
       faraday (~> 0.8)
-      httpauth (~> 0.1)
+      httpauth (~> 0.2)
       jwt (~> 0.1.4)
       multi_json (~> 1.0)
       multi_xml (~> 0.5)
@@ -109,11 +111,12 @@ GEM
       mime-types
     pg (0.15.1)
     polyglot (0.3.3)
-    r2 (0.1.0)
+    psych (2.0.0)
+    r2 (0.2.1)
     rack (1.4.5)
     rack-cache (1.2)
       rack (>= 0.4)
-    rack-cors (0.2.7)
+    rack-cors (0.2.8)
       rack
     rack-openid (1.3.1)
       rack (>= 1.1.0)
@@ -139,14 +142,14 @@ GEM
       rake (>= 0.8.7)
       rdoc (~> 3.4)
       thor (>= 0.14.6, < 2.0)
-    rake (10.0.4)
+    rake (10.1.0)
     rdoc (3.12.2)
       json (~> 1.4)
-    redcarpet (2.2.2)
+    redcarpet (2.3.0)
     rinku (1.7.3)
     ruby-openid (2.2.3)
-    sanitize (2.0.3)
-      nokogiri (>= 1.4.4, < 1.6)
+    sanitize (2.0.4)
+      nokogiri (~> 1.6.0)
     sass (3.2.9)
     sass-rails (3.2.6)
       railties (~> 3.2.0)
@@ -162,11 +165,11 @@ GEM
     thor (0.18.1)
     tilt (1.4.1)
     timecop (0.6.1)
-    treetop (1.4.12)
+    treetop (1.4.14)
       polyglot
       polyglot (>= 0.3.1)
     tzinfo (0.3.37)
-    uglifier (2.1.0)
+    uglifier (2.1.1)
       execjs (>= 0.3.0)
       multi_json (~> 1.0, >= 1.0.2)
     validates_email_format_of (1.5.3)
@@ -197,6 +200,7 @@ DEPENDENCIES
   open_id_authentication (>= 1.1.0)
   paperclip (~> 2.0)
   pg
+  psych
   r2
   rack-cors
   rails (= 3.2.12)